[Previous] [Next] [Contents]

## `TYP::IspA` -- tests whether the argument is a product of generators of the p-basis on a formal alphabet expression

#### Call(s)

`TYP::IspA(expr)`

#### Parameters

`expr` | - | any expression

#### Introduction

The `TYP::IspA` function tests whether `expr` is a product of generators of the p-basis on a formal alphabet expression, that is a product of power sum symmetric functions on a given alphabet.

The indexing vector must be a partition.

The alphabet can be for instance a polynomial in `A1, A2, ...`.

Note that the `A`i's are the only formal variables in alphabets.

#### Example 1

    >> muEC::TYP::IspA( p[1](A1-A2) );

                                       TRUE

    >> muEC::TYP::IspA( p[3,3,1](k/3*A3) );

                                       TRUE

#### Related Functions

`IseA`, `IshA`, `IsmA`, `IssA`, `SfA`, `Isp`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package